Skip to main content
GET
/
{vin}
/
drives
Get Drives
curl --request GET \
  --url https://api.tessie.com/{vin}/drives \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tessie.com/{vin}/drives"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tessie.com/{vin}/drives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": 1363162,
      "started_at": 1628960959,
      "ended_at": 1628970656,
      "starting_location": "8055 Dean Martin Drive, Las Vegas, Nevada 89139, United States",
      "starting_latitude": 36.042928,
      "starting_longitude": -115.187801,
      "ending_location": "Cataba Road, Hesperia, California 92344, United States",
      "ending_latitude": 34.42468,
      "ending_longitude": -117.385746,
      "starting_battery": 97,
      "ending_battery": 21,
      "average_inside_temperature": 20.23,
      "average_outside_temperature": 34.94,
      "average_speed": 73,
      "max_speed": 90,
      "rated_range_used": 230.45,
      "odometer_distance": 185.9,
      "autopilot_distance": 174.6,
      "energy_used": 73.28,
      "tag": "Personal"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vin
string
required

The associated VIN.

Query Parameters

distance_format
enum<string>
default:mi

Whether to return data in miles or kilometers.

Available options:
mi,
km
temperature_format
enum<string>
default:c

Whether to return data in Fahrenheit or Celsius.

Available options:
c,
f
from
number

The start of the timeframe. Unix timestamp in seconds.

to
number

The end of the timeframe. Unix timestamp in seconds.

timezone
string
default:UTC

The IANA timezone name.

origin_latitude
number

The latitude of the starting point.

Example:

37.4925

origin_longitude
number

The longitude of the starting point.

Example:

121.9447

origin_radius
number

The radius from the starting point, in meters.

Example:

80

exclude_origin
boolean
default:false

Whether to exclude the starting point.

destination_latitude
number

The latitude of the ending point.

Example:

37.4925

destination_longitude
number

The longitude of the ending point.

Example:

121.9447

destination_radius
number

The included radius from the ending point, in meters.

Example:

80

exclude_destination
boolean
default:false

Whether to exclude the ending point.

tag
string

The tag associated with the drive.

Example:

"Work"

exclude_tag
boolean
default:false

Whether to exclude the tag.

driver_profile
string

The driver profile associated with the drive.

Example:

"John"

exclude_driver_profile
boolean
default:false

Whether to exclude the driver profile.

format
enum<string>
default:json

Whether to output the results in JSON or CSV.

Available options:
json,
csv
minimum_distance
number

The minimum distance driven, in miles.

Example:

0.1

limit
number

The maximum number of results.

Response

200 - application/json

Success

results
Drive · object[]